Bug 501301 - Sig11 attempting to bring up X after update to 5.4-candidate packages
Sig11 attempting to bring up X after update to 5.4-candidate packages
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11-drv-i810 (Show other bugs)
5.4
All Linux
high Severity urgent
: beta
: ---
Assigned To: Adam Jackson
desktop-bugs@redhat.com
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-18 09:19 EDT by Jay Turner
Modified: 2015-01-07 19:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-19 12:02:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log from 'intel' driver crash (79.23 KB, text/plain)
2009-05-18 09:19 EDT, Jay Turner
no flags Details
xorg.conf file (607 bytes, application/octet-stream)
2009-05-18 09:20 EDT, Jay Turner
no flags Details

  None (edit)
Description Jay Turner 2009-05-18 09:19:28 EDT
Created attachment 344434 [details]
Xorg.0.log from 'intel' driver crash

Description of problem:
Have a machine with a "Intel Corporation 82G965 Integrated Graphics Controller (rev 02)" graphics adapter connected to a ViewSonic VX2235wm LCD panel.  To this point I've been running with the 'intel' driver as it correctly supported the 1680x1050 resolution.  I did a massive update this morning, including updating to:

xorg-x11-server-Xorg-1.1.1-48.60.el5.x86_64
xorg-x11-drv-i810-1.6.5-11.fc7.x86_64

After reboot, X is crashing with the attached log.  Interesting bits are:

Backtrace:
0: /usr/bin/Xorg(xf86SigHandler+0x71) [0x47fb11]
1: /lib64/libc.so.6 [0x364f830280]
2: /usr/bin/Xorg(xf86RandR12CreateScreenResources+0x62) [0x4b7882]
3: /usr/lib64/xorg/modules/drivers/intel_drv.so [0x2b2427fcb56a]
4: /usr/bin/Xorg(main+0x2e5) [0x4333b5]
5: /lib64/libc.so.6(__libc_start_main+0xf4) [0x364f81d974]
6: /usr/bin/Xorg(FontFileCompleteXLFD+0x229) [0x4327f9]

Switching to either the 'i810' driver or the 'vesa' driver appears to work (although I lose the 1680x1050 resolution :-()

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.1.1-48.60.el5.x86_64
xorg-x11-drv-i810-1.6.5-11.fc7.x86_64

How reproducible:
Always
Comment 1 Jay Turner 2009-05-18 09:20:37 EDT
Created attachment 344435 [details]
xorg.conf file
Comment 2 Jay Turner 2009-05-18 09:34:10 EDT
Maybe that backtrace is just a very common error path, but there are quite a
few other bugs which show X in the same death spiral:

bug 492561
bug 476786
bug 468218
bug 498500
Comment 3 Adam Jackson 2009-05-19 10:46:47 EDT
(In reply to comment #0)

> xorg-x11-server-Xorg-1.1.1-48.60.el5.x86_64
> xorg-x11-drv-i810-1.6.5-11.fc7.x86_64

Really?  fc7 package?  You sure you mean to do that?
Comment 4 Jay Turner 2009-05-19 12:02:36 EDT
Damn you RPM versioning!  Sorry about that.  I should have realized that was a really old package instead of ASSuming that RPM/yum were correct and no updates to the package were available.  Things are working lots better with xorg-x11-drv-i810-1.6.5-9.21.el5 (i.e. latest 5.4 package.)

Note You need to log in before you can comment on or make changes to this bug.